RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

Indicates the physical memory layout of objects exported to unmanaged code.

To be added.
- Field
  System.Runtime.InteropServices.LayoutKind Auto

  Indicates that the appropriate layout of members of an object is automatically chosen. The layout in this case is implementation defined.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Runtime.InteropServices.LayoutKind Explicit

  Indicates that the precise position of each member of an object is explicitly controlled in unmanaged memory. Each member of the exported class or structure is required to use to indicate the position of that field within the type.

  For an example that uses , see the class overview.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Runtime.InteropServices.LayoutKind Sequential

  Indicates that object members are laid out sequentially, in the order in which they appear in the object's type definition.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)